package com.ruoyi.system.service.projectV2.common;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.projectV2.Vo.ZpVo;
import com.ruoyi.system.domain.projectV2.ZsyzSbbzb;
import com.ruoyi.system.domain.projectV2.ZsyzShyj;
import com.ruoyi.system.domain.projectV2.ZsyzSkxm;
import com.ruoyi.system.domain.projectV2.common.SendSms;

import java.util.List;
import java.util.Map;

/**
 * 公共Service接口
 * 
 * @author ruoyi
 * @date 2023-02-24
 */
public interface IZsyzCommonService
{
    //主要功能, 对线索进度进行控制
  public AjaxResult xssh(ZsyzShyj zsyzShyj);

  /**
   * 省库项目审核
   * @param zsyzSkxm
   * @return
   */
  public AjaxResult sksh(ZsyzSkxm zsyzSkxm);

  /**
   * 获取行政规划
   * @param pid
   * @return
   */
  public AjaxResult area(String pid);

  /**
   * Cjd的项目审核/驳回接口
   * 参数是审核建议
   * @return
   */
  public AjaxResult xsshCjd(ZsyzShyj zsyzShyj);

  /**
   * 要素部门的项目审核/驳回接口
   * 参数是审核建议
   * @return
   */
  public AjaxResult xsshYsbm(ZsyzShyj zsyzShyj);

  //首页统计接口
  public AjaxResult census(ZsyzSbbzb zsyzSbbzb);

    //首页统计折线图
  public AjaxResult censusXy();

  /**
   * 项目指派
   * @return
   */
  public AjaxResult xszp(ZpVo zpVo);
  //撤回
  public AjaxResult xsch(ZsyzSbbzb zsyzSbbzb);

  List<Map<String, Object>> statisticsMonthNew(String year, String month);
}
